/***************************************************************************
 *            Image.h
 *
 *  Copyright  2006  Florent Berthaut
 *  florentberthaut@no-log.org
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef Image_h
#define Image_h

#include <vector>
#include <string>
#include <iostream>
#include <sstream>
#include <cstring>
#include <stdio.h>
#include <FL/Fl_PNG_Image.H>
#include <FL/Fl_Shared_Image.H>
#include <FL/gl.h>
#include "../ui/gl_image.hpp"

//static GLubyte Texture[16] ={0,0,0,0, 0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF, 0,0,0,0};

class Image  
{	
	public:
		Image(); 
		~Image();

		int load(const std::string&);
		inline const GLuint& getIdent(){return m_ident;}

		void unload();
		
	private:
		GLuint m_ident;
		Fl_Shared_Image* m_image;
		
};

#endif

