/***************************************************************************
 *          Parser.h
 *
 *  2006  Florent Berthaut
 *  florentberthaut@no-log.org
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#ifndef PARSER_H
#define PARSER_H

#include <libxml/parser.h>
#include <libxml/tree.h>
#include "Grille.hpp"

class Vjpirate;

class Parser
{
	public:
		Parser(Vjpirate*);
		~Parser();
		int createTree(const char*);
		int parseTree();
		int recParseTree(xmlNode*);
		int saveToFile(const char*);

		int parseTreeInputs();

		int parseGrilles(xmlNode*);
		int parseInputs(xmlNode*);
		int parseParameters(xmlNode*,Grille &);

	private:
		
		xmlDocPtr m_doc;
		std::string m_fileName;
		xmlNode *m_rootElement;
		Vjpirate *m_vj;
};


#endif
