/***************************************************************************
 *            main.cc
 *
 *  Copyright  2006  Florent Berthaut
 *  florentberthaut@no-log.org
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <iostream>
#include "Vjpirate.hpp"

using namespace std;

int main(int argc, char** argv) {
	//register images to load them with fltk
	fl_register_images();
	//random seed
	srand(time(NULL));
	Vjpirate *vj = Vjpirate::getInstance();
	vj->start();
	//if a file name was specified
	if(argc==2){
		vj->openFile(argv[1]);
	}
	Fl::run();
}


