/***************************************************************************
 *            GrilleScroll.h
 *
 *  Part of VjPirate
 *  2010  Florent Berthaut
 *  florentberthaut@no-log.org
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include <FL/Fl.H>
#include <FL/Fl_Scroll.H>
#include <iostream>
#include <string>
#include <vector>
#include "GrilleGroup.hpp"
 
#ifndef _GRILLESCROLL_H
#define _GRILLESCROLL_H


class GrilleScroll : public Fl_Group
{
  public:
		GrilleScroll(int ,int ,int,int,const char*);
		~GrilleScroll();
		void draw();
		int handle(int);
		void add(Fl_Widget*);
		void remove(Fl_Widget*);
		void clear();
		void selectGrille(const int&);
  private:
		int m_selectedGrille;
		int m_sliderPos;	
		int m_sliderSize;
		int m_childrenTotalSize;
		static const int SLIDER_HEIGHT=15;
		static const int SCROLL_SEP=10;
		int m_childrenWidth;
		int m_mouseX;
		bool m_mouseGrabbed;

};

#endif

