/***************************************************************************
 *            PatternValue.cpp
 *
 *  2006  Florent Berthaut
 *  florentberthaut@no-log.org
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#include <iostream>
#include <math.h>

#include "PatternValue.hpp"
#include "../base/Vjpirate.hpp"
#include "ExecWindow.hpp"

using namespace std;


PatternValue::PatternValue(int x, int y, int w,int h,const char* titre):Fl_Value_Output(x,y,w,h,titre), m_changed(false)
{
	align(FL_ALIGN_INSIDE|FL_ALIGN_LEFT);	
}

PatternValue::~PatternValue()
{
}

void PatternValue::copy_label(const char* lab)
{
	Fl_Value_Output::copy_label(lab);
	fl_font(FL_HELVETICA,h());
	size(int(fl_width(label())),h());
}

void PatternValue::draw()
{
	//draw the box
	fl_color(FL_INACTIVE_COLOR);
	fl_font(FL_HELVETICA,h());
	fl_rectf(x(),y(),w(),h());	
	if(active()) {
		fl_color(FL_FOREGROUND_COLOR);
	}
	else {
		fl_color(FL_BACKGROUND2_COLOR);
	}
	fl_draw(label(),x(),y()-fl_descent()+fl_height());	
}

int PatternValue::handle(int event)
{
	if(event==FL_PUSH && Fl::event_button()==FL_RIGHT_MOUSE) {
		do_callback();
		return 0;
	}
	
	return Fl_Value_Output::handle(event);
}

