/***************************************************************************
 *            PatternValue.h
 *
 *  Part of VjPirate
 *  2010  Florent Berthaut
 *  florentberthaut@no-log.org
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include <FL/Fl.H>
#include <FL/Fl_Value_Output.H>
#include <iostream>
#include <string>
#include <vector>
 
#ifndef _PATTERN_VALUE_H
#define _PATTERN_VALUE_H


class PatternValue : public Fl_Value_Output
{
  public:
		PatternValue(int ,int ,int,int,const char*);
		~PatternValue();
		void draw();
		void copy_label(const char*);
		int handle(int);

		inline void setValue(const float& val){m_value=val;m_changed=true;}
		inline void setCopyLabel(const std::string& lab){m_label=lab;}
		inline void updateValue(){if(m_changed){value(m_value);copy_label(m_label.c_str());m_changed=false;redraw();}}
  private:

		float m_value;
		std::string m_label;
		bool m_changed;
		
};

#endif

