/***************************************************************************
 *            TardiSlider.cpp
 *
 *  2006  Florent Berthaut
 *  florentberthaut@no-log.org
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "TardiSlider.hpp"
#include "../base/Vjpirate.hpp"
#include "ExecWindow.hpp"
#include <iostream>
#include <math.h>

using namespace std;


TardiSlider::TardiSlider(int x, int y, int w,int h,const char* titre):Fl_Slider(x,y,w,h,titre), m_changed(false)
{
	align(FL_ALIGN_TOP|FL_ALIGN_LEFT);
	box(FL_FLAT_BOX);
	slider(FL_FLAT_BOX);
	color(FL_INACTIVE_COLOR);
	color2(FL_SELECTION_COLOR);
	type(FL_HOR_FILL_SLIDER);
	clear_visible_focus();

	
}

TardiSlider::~TardiSlider()
{
}


int TardiSlider::handle(int event)
{
	if(event==FL_PUSH && Fl::event_button()==FL_RIGHT_MOUSE) {
		do_callback();
		return 0;
	}
	
	return Fl_Slider::handle(event);
}

